Subject: Re: .def files for stdcall functions (was: linking problems with
From: [email-masked] (J Russell Smyth)

17 Sep 1997 19:50:36 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: Colin Peters <[email-masked]>,
        [email-masked], [email-masked]

Valery Fine wrote:

> On 17 Sep 97 at 15:45, Colin Peters wrote:
>
> >
>   MS used to supply just both kind of the entry points with its
> library @NN AND  "plain" one as an alias of the first one. (at least
> it is always true for MS Fortran.
> It fits all needs I guess. I wonder COFF format allows aliases. Why
> GNU tools can not employ the same approach ?

This is exactly the temporary fix I have applied to my work ..
generating@nn and aliasing to "plain" in the .def files.. it is just a
lot of extra work,
and to me it is messy as ms dll's dont need to do it! (at least not as
shows
in their exports!)

   Russ Smyth
   [email-masked]

>
>
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".